diamond

Summary

Accelerated BLAST compatible local sequence aligner

Versions

  • 0.7.10

License

BSD

Meta

package:
  name: diamond
  version: "0.7.10"
source:
  git_url: https://github.com/bbuchfink/diamond/
  git_tag: v0.7.10
  patches:
    - cmake_patch
# We pin on gcc version to avoid gcc-5 dual ABI issues depending on boost.
requirements:
  build:
    - gcc >=4.8.5,<5 # [unix]
    - boost >=1.53.0
    - cmake
  run:
    - libgcc >=4.8.5,<5 # [unix]
    - boost >=1.53.0
test:
  commands:
    - diamond --help 2>&1 > /dev/null
about:
  home: http://ab.inf.uni-tuebingen.de/software/diamond/
  license: BSD
  summary: Accelerated BLAST compatible local sequence aligner